/**
 * Formats a Date object into a string with the format "MMM DD, YYYY, HH:MM AM/PM".
 * @param {Date} date - The date to format.
 * @returns {string} The formatted date and time.
 * @throws {Error} If the input is not a valid Date object.
 */
declare function formatDateTime(date: Date): string;
/**
 * Formats a Date object into a string with the format "MMM DD, YYYY".
 * @param {Date} date - The date to format.
 * @returns {string} The formatted date.
 * @throws {Error} If the input is not a valid Date object.
 */
declare function formatDate(date: Date): string;
/**
 * Formats a Date object into a string with the format "HH:MM AM/PM".
 * @param {Date} time - The time to format.
 * @returns {string} The formatted time.
 * @throws {Error} If the input is not a valid Date object.
 */
declare function formatTime(time: Date): string;

export { formatDate, formatDateTime, formatTime };
